Mhash Funkcje
OpenSSL
Mhash Funkcje
PHP Manual

# mhash

(PHP 4, PHP 5)

mhash — Compute hash

### Opis

string mhash ( int `$hash` , string `$data` [, string `$key` ] )

mhash() applies a hash function specified by `hash` to the `data` .

### Parametry

`hash`

  The hash id. One of the MHASH_XXX constants.

`data`

  The user input, as a string.

`key`

  If specified, the function will return the resulting HMAC instead. HMAC is keyed hashing for message authentication, or simply a message digest that depends on the specified key. Not all algorithms supported in mhash can be used in HMAC mode.

### Zwracane wartości

Returns the resulting hash (also called digest) or HMAC as a string, or `FALSE` on errors.

Mhash Funkcje
OpenSSL
Mhash Funkcje
PHP Manual